#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### mpeg_oggvorbisbase (library) ##############

tde_add_library( mpeg_oggvorbisbase STATIC_PIC
  SOURCES
    ovFramer.cpp vorbisDecoder.cpp
    oggFrame.cpp vorbisInfo.cpp
)


##### other data ################################

install(
  FILES
    ovFramer.h vorbisDecoder.h oggFrame.h vorbisInfo.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mpeglib/oggvorbis
)
